Unbind
Environments

Update Environment

Update an environment's name or description.

PUT
/environments/update

Update an environment's name or description.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

description*string|null
environment_id*string
Formatuuid
name*|

Has to be unique in the project

Length1 <= length <= 32
project_id*string
Formatuuid
team_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/environments/update" \  -H "Content-Type: application/json" \  -d '{    "description": "string",    "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",    "name": "string",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba"  }'
{  "data": {    "active": true,    "created_at": "2019-08-24T14:15:22Z",    "description": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kubernetes_name": "string",    "name": "string",    "permissions": [      "admin"    ],    "service_count": 0,    "service_icons": [      "string"    ]  }}